summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2016-08-27 07:25:16 +0700
committer David Spencer <idlemoor@slackbuilds.org>2016-08-28 00:22:40 +0100
commitf002c4bdd38a57bb856cc03c8c721f62afd878e6 (patch)
tree87c2a7a52c74263cbbbc02558fee6f6abd9a1728 /desktop
parent3e0d3917541791e1200ee944043cf03e89f57b6d (diff)
downloadslackbuilds-f002c4bdd38a57bb856cc03c8c721f62afd878e6.tar.gz
slackbuilds-f002c4bdd38a57bb856cc03c8c721f62afd878e6.tar.xz
desktop/florence: Added (virtual keyboard).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/florence/README4
-rw-r--r--desktop/florence/doinst.sh29
-rw-r--r--desktop/florence/florence.SlackBuild100
-rw-r--r--desktop/florence/florence.info10
-rw-r--r--desktop/florence/slack-desc19
5 files changed, 162 insertions, 0 deletions
diff --git a/desktop/florence/README b/desktop/florence/README
new file mode 100644
index 0000000000..18ddac8425
--- /dev/null
+++ b/desktop/florence/README
@@ -0,0 +1,4 @@
+Florence is an extensible scalable virtual keyboard for X11.
+
+For disabled, for broken keyboard or tablet PC. You must be able to use a
+pointing device as a mouse, trackball, touchscreen or opengazer.
diff --git a/desktop/florence/doinst.sh b/desktop/florence/doinst.sh
new file mode 100644
index 0000000000..8fd237895f
--- /dev/null
+++ b/desktop/florence/doinst.sh
@@ -0,0 +1,29 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+## check SlackBuild for this. It's better aproach?
+schema_install org.florence.schemas
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/florence/florence.SlackBuild b/desktop/florence/florence.SlackBuild
new file mode 100644
index 0000000000..6b2ca5a5dd
--- /dev/null
+++ b/desktop/florence/florence.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+# Slackware build script for <florence>
+#
+# Michales (clavisound) Michaloudes korgie@gmail.com <2013>
+
+PRGNAM=florence
+VERSION=${VERSION:-0.6.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# disable docs, needs scrollkeeper (gnome dependency)
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --without-docs \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+# Arch was those. Why?
+# --without-at-spi \
+# --without-notification \
+# --with-panelapplet \
+
+make
+make install DESTDIR=$PKG
+
+# copy of schema (this is a better approach?)
+mkdir -p $PKG/etc/gconf/schemas/
+
+# gconf complains about wrong element
+sed 's/schemalist/gconfschemalist/' $TMP/$PRGNAM-$VERSION/data/org.florence.gschema.xml > $PKG/etc/gconf/schemas/org.florence.schemas
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# manual copy of man pages
+mkdir -p $PKG/usr/man/man1
+cp $TMP/$PRGNAM-$VERSION/docs/*.1 $PKG/usr/man/man1/
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* ChangeLog README NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/florence/florence.info b/desktop/florence/florence.info
new file mode 100644
index 0000000000..e9e01443f1
--- /dev/null
+++ b/desktop/florence/florence.info
@@ -0,0 +1,10 @@
+PRGNAM="florence"
+VERSION="0.6.3"
+HOMEPAGE="http://florence.sourceforge.net/english.html"
+DOWNLOAD="http://sourceforge.net/projects/florence/files/florence/0.6.3/florence-0.6.3.tar.bz2"
+MD5SUM="8775051d7352f75dec5a86dc9964e8e0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
diff --git a/desktop/florence/slack-desc b/desktop/florence/slack-desc
new file mode 100644
index 0000000000..728755cdc9
--- /dev/null
+++ b/desktop/florence/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+florence: florence (virtual keyboard)
+florence:
+florence: Florence is an extensible scalable virtual keyboard for X11
+florence: You need it if you can't use a real hardware keyboard,
+florence: for example because you are disabled, your keyboard is
+florence: broken or because you use a tablet PC, but you must be
+florence: able to use a pointing device (as a mouse, a trackball,
+florence: a touchscreen or opengazer).
+florence:
+florence:
+florence: